complexType "FloatingRate"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex, indexTenor?, spreadSchedule*, capRateSchedule*, floorRateSchedule*
</...>

Content Model Elements (5):

  capRateSchedule,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  floorRateSchedule,
  indexTenor (defined in FloatingRateIndex.model group),
  spreadSchedule

Known Direct Subtypes (1):

  FloatingRateCalculation

Known Indirect Subtypes (1):

  InflationRateCalculation

All Direct / Indirect Based Elements (5):

  floatingRate (defined in StubValue complexType),
  floatingRate (in underlyer defined in GenericProduct complexType),
  floatingRateCalculation,
  floatingRateCalculation (defined in InterestAccrualsMethod complexType),
  inflationRateCalculation

Known Usage Locations

- In derivations of other global types (1):
  FloatingRateCalculation (as extension base)
- As direct type of elements (2):
  floatingRate (defined in StubValue complexType),
  floatingRate (in underlyer defined in GenericProduct complexType)

Annotation
A type defining a floating rate.
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FloatingRate"> <xsd:complexContent> <xsd:extension base="Rate"> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRateSchedule" type="StrikeSchedule"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRateSchedule" type="StrikeSchedule"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/5)
capRateSchedule

  Type: | StrikeSchedule, complex content

  The cap rate or cap rate schedule, if any, which applies to the floating rate. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain level. A cap rate schedule is expressed as explicit cap rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRateSchedule" type="StrikeSchedule"/>

floorRateSchedule

  Type: | StrikeSchedule, complex content

  The floor rate or floor rate schedule, if any, which applies to the floating rate. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. A floor rate schedule is expressed as explicit floor rates and dates and the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A floor rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRateSchedule" type="StrikeSchedule"/>

spreadSchedule

  Type: | SpreadSchedule, complex content

  The ISDA Spread or a Spread schedule expressed as explicit spreads and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="spreadSchedule" type="SpreadSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.